<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ClienteService;

class ClienteController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $ClienteService;
   
    public function __construct($crudService, $environment, ClienteService $ClienteService) {
        parent::__construct($crudService, $environment);
        $this->ClienteService = $ClienteService;
    }
    
    public function simpleView(DTO\Request $request, DTO\Response $response) {
        $clients = $this->ClienteService->simpleView();
        $dtsVal = new DataSet('Clientes', $clients);
        $response->addDataSet($dtsVal);
    }

    public function getClient(DTO\Request $request, DTO\Response $response){
        $var = $this->ClienteService->getClient();
        $dtsVal = new DataSet("clientes", $var);
        $response->addDataSet($dtsVal);
    }
}

?>